#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
Upraise setup script
~~~~~~~~~~~~~~~~~~~~

:date: $Date: 2007-07-21 00:44:20 +0200 (Sa, 21 Jul 2007) $
:revision: $Rev: 169 $
:copyright: 2006-2007 Jochen Kupperschmidt
:license: MIT, see LICENSE for details.
"""

import ez_setup
ez_setup.use_setuptools()

from setuptools import setup, find_packages

import upraise


author, author_email = upraise.__author__[:-1].split(' <')


setup(
    name = 'Upraise',
    version = upraise.__version__,
    description = 'A small WSGI-based framework for web applications',
    long_description = upraise.__doc__,
    license = upraise.__license__,
    author = author,
    author_email = author_email,
    url = upraise.__url__,
    packages = find_packages(),
    include_package_data = True,
    zip_safe = False,
    classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Framework :: Paste',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet :: WWW/HTTP :: WSGI',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
    install_requires = [
        'Paste >= 1.4',
        'PasteDeploy >= 1.3.1',
        'PasteScript >= 1.3.5',
    ],
    extras_require = {
        'json': ['simplejson >= 1.7.1'],
        'yaml': ['PyYAML >= 3.05'],
        'tests': ['py'],
    },
    entry_points = """
    [paste.filter_app_factory]
    routing = upraise.routing:make_middleware

    [paste.paster_create_template]
    upraise = upraise.util:UpraiseTemplate
    """
)
