# -*- coding: utf-8 -*-

"""template generation"""

import os.path

from genshi.template import TemplateLoader


PATH_TEMPLATES = [os.path.join(os.path.dirname(__file__), 'templates')]
template_loader = TemplateLoader(PATH_TEMPLATES)


def render_template(name, vars):
    """Render the named template using the given variables."""
    # Add site-global variables.
    vars.update(example=123)

    # Render and serialize the template and return the resulting string.
    stream = template_loader.load('%s.tmpl' % name).generate(**vars)
    return stream.render('xhtml')
